package jarmuvek;

import IE.Iona.Orbix2._CORBA;
import IE.Iona.Orbix2.CORBA.SystemException;

/*
 * Az autobusz osztaly szerver oldali implementalasa.
 * Ltrehoz egy j gepjarmu objektumot (a GepjarmuImpl osztly segtsgvel)
 */
public class AutobuszSrv
{
    public static void main(String args[]) {
  
        _autobuszRef aImpl = null; 
      
        try  { 
            aImpl = new _tie_autobusz(new AutobuszImpl("BUS-123","BKV", (short)40));
        }
        catch(SystemException se) { 
            System.out.println("Exception during creation of implementation : " +                                                                                                    se.toString()); 
            System.exit(1);
        }
        try  { 
            _CORBA.Orbix.impl_is_ready("AutobuszSrv"); 
        } 
        catch(SystemException se) { 
            System.out.println("Exception during creation of implementation : " +                                                                                                    se.toString()); 
            System.exit(1);
        } 
    }
}
/*
 *  Az autobusz osztly implementcija: 
 */
class AutobuszImpl  extends GepjarmuImpl  implements _autobuszOperations
{
   // Az osztly llapotai
   private short ferohely;

   // Konstruktor
   public AutobuszImpl(String r, String t, short f) {
       super( r, t);
       ferohely = f;
   }
   // Az attribute ferohely kiolvas metdusa
   public short get_ferohely() {
       return ferohely;
   }
   // Az attribute ferohely ertekado metdusa
   public void set_ferohely( short f) {
       ferohely = f;
   }
   // A publikus print metdus
   public String print() {
       return "Autobusz, rendszam = "+rendszam+" tulajdonos = "+
                         tulajdonos+" ferohely="+ferohely;
   }
}
