package jarmuvek;

import IE.Iona.Orbix2._CORBA;
import IE.Iona.Orbix2.CORBA.SystemException;

/*
 * A teherauto osztaly szerver oldali implementalasa.
 * Ltrehoz egy j teherauto objektumot (a TeherautoImpl osztly segtsgvel)
 */
public class TeherautoSrv
{
    public static void main(String args[]) {
  
        _teherautoRef tImpl = null; 
      
        try  { 
            tImpl = new _tie_teherauto (new TeherautoImpl("TEH-456","Fosped", (short)5));
        }
        catch(SystemException se) { 
            System.out.println("Exception during creation of implementation : " +                                                                                                    se.toString()); 
            System.exit(1);
        }
        try  { 
            _CORBA.Orbix.impl_is_ready("TeherautoSrv"); 
        } 
        catch(SystemException se) { 
            System.out.println("Exception during creation of implementation : " +                                                                                                    se.toString()); 
            System.exit(1);
        } 
    }
}
/*
 *
 */
class TeherautoImpl  extends GepjarmuImpl  implements _teherautoOperations
{
   // Az osztly llapotai
   private short max_terheles;

   // Konstruktor
   public TeherautoImpl(String r, String t, short m) {
       super( r, t);
       max_terheles = m;
   }
   // Az attribute max_terheles kiolvas metdusa
   public short get_max_terheles() {
       return max_terheles;
   }
   // Az attribute max_terheles ertekado metdusa
   public void set_max_terheles( short m) {
       max_terheles = m;
   }
   // A publikus print metdus
   public String print() {
       return "Teherauto, rendszam = "+rendszam+" tulajdonos = "+
                         tulajdonos+" max.terheles="+max_terheles;
   }
}
