/*
 *    Autobusz.java
 *    @author  Zoltan Porkolab
 */
import java.io.*;

public class Autobusz extends Gepjarmu
                      implements Persistent{
    public Autobusz(String r, String t, int f) {
        super( r, t );
        ferohely = f;
    }
    public void print() {
        System.out.println( "Autbusz, rendszm="+rendszam+
                     " tulajdonos="+tulajdonos+" frhely="+ferohely);
    }
    private int ferohely;
/*
 *  A Persistent interfsz megvalstsa   
 */
    public Autobusz() {
        super( ismeretlen, ismeretlen);
        ferohely = 0;
    }
    public void write(PersistentOutput out) throws IOException {
        super.write(out);
        out.writeInt(ferohely);
    }
    public void read(PersistentInput in) throws IOException {
        super.read(in);
        ferohely = in.readInt();
    }
}
