class MyThread extends Thread {
  MyThread(ThreadGroup tg, String name) {
    super(tg, name);
  }

  public void run() {
    while (true) { yield(); }
  }
}

public class GroupInfo {
  static public void main(String args[]) {
    MyThread a, b, c;
    ThreadGroup this_group, new_group;

    this_group = Thread.currentThread().getThreadGroup();
    System.out.println("Aktv szlcsoport:" + this_group.getName());
    System.out.println("Benne a szlak szma: " + this_group.activeCount());

    new_group = new ThreadGroup("Prbacsoport");	
    a = new MyThread(new_group, "ThreadA");
    b = new MyThread(new_group, "ThreadB");
    c = new MyThread(new_group, "ThreadC");

    System.out.println("Egy j szlcsoport alatt 3 Thread indtsa...");
    a.start();  b.start();  c.start();
    System.out.println("Aktv szlcsoportban a szlak szma: " + 
          this_group.activeCount());

    System.out.println("Aktv szlcsoport listja:");
    this_group.list();
    System.out.println("Az j szlcsoport listja:");
    new_group.list();

    System.out.println("j szlak meglltsa a csoporton keresztl");
    new_group.stop();
  }
}
