class CriticalUnit {
  public synchronized void ObjectLock() {
    System.out.println("Az objektum monitort a " +
          Thread.currentThread().getName() + " Thread szerezte meg");

    try { Thread.sleep( 200 + 10*Math.round( (int)Math.random()*50) ); }
    catch (InterruptedException e) {}

    System.out.println("Az objektum monitort elengedi a " +
           Thread.currentThread().getName() + " Thread");
  }

  public static synchronized void ClassLock() {
    System.out.println("Az osztly monitort a " +
          Thread.currentThread().getName() + " Thread szerezte meg");

    try { Thread.sleep( 200 + 10*Math.round( (int)Math.random()*50) ); }
    catch (InterruptedException e) {} 

    System.out.println("Az osztly monitort elengedi a " +
          Thread.currentThread().getName() + " Thread");
  }
}

public class Locking implements Runnable {
  CriticalUnit onLock;
 
  Locking(String ObjectName) {
    Thread a, b;

    onLock = new CriticalUnit();
    a = new Thread(this, ObjectName + "->ThreadA");
    b = new Thread(this, ObjectName + "->ThreadB");
    a.start();  b.start();
  }

  public static void main(String args[]) {
    Locking l1, l2;
  
    l1 = new Locking("Object1");
    l2 = new Locking("Object2");
  }
  public void run() {
    onLock.ObjectLock();
    onLock.ClassLock();
  }
}
