class MyThread extends Thread {
  MyThread(String name) {
    super(name);
  }
  public void run() {
    while (true) {
      System.out.println( "Most a " + getName() + " Thread fut");
      for (int i=0; i<200000; i++) {}
      yield();
    }
  }
}

public class Priority {
  static public void main(String args[]) {
    MyThread a, b, c;

    a = new MyThread("ThreadA");
    b = new MyThread("ThreadB");
    c = new MyThread("ThreadC");
    Thread.currentThread().setPriority(Thread.MAX_PRIORITY);

    System.out.println("Thread-ek indtsa...");
    a.start();  b.start(); c.start();

    try { Thread.sleep(1000); } catch (InterruptedException e) {}
    System.out.println("A B Thread prioritsnak nvelse");
    b.setPriority(b.getPriority() + 2);

    try { Thread.sleep(1000); } catch (InterruptedException e) {}
    System.out.println("A B Thread prioritsnak cskkentsa");
    b.setPriority(b.getPriority() - 4);

    try { Thread.sleep(1000); } catch (InterruptedException e) {}
    System.out.println("A B Thread prioritsnak visszalltsa");
    b.setPriority(b.getPriority() + 2);

    try { Thread.sleep(1000); } catch (InterruptedException e) {}
    System.out.println("Thread-ek lelltsa...");
    a.stop();  b.stop();  c.stop();
  }
}
