import java.awt.*;
import java.awt.event.*;
import java.applet.*;
import java.util.*;
import java.text.*;

public class LocaleTest extends Applet implements ItemListener {
  private Locale locales[];
  boolean isStandalone = false;
  List list = new List();
  TextField textField = new TextField();

  public void init() {
    list.addItemListener(this);
    this.setLayout(new BorderLayout());
    this.add(list, BorderLayout.CENTER);
    this.add(textField, BorderLayout.NORTH);
    locales=DateFormat.getAvailableLocales();
    for (int i=0; i<locales.length; i++) {
        list.addItem(
        locales[i].getDisplayCountry()+"("+locales[i].getCountry()+
        ")["+locales[i].getISO3Country()+"]    "+
        locales[i].getDisplayLanguage()+"("+locales[i].getLanguage()+
        ")["+locales[i].getISO3Language()+"]"
        );
    }
  }

  public void itemStateChanged(ItemEvent e) {
      textField.setText(DateFormat.getDateTimeInstance(0, 0,
                locales[list.getSelectedIndex()]).format(new Date()));
  }
}
