package jarmuvek;

import IE.Iona.Orbix2._CORBA;
import IE.Iona.Orbix2.CORBA.SystemException;

/*
 * A gepjarmu osztaly szerver oldali implementalasa.
 * Ltrehoz egy j gepjarmu objektumot (a GepjarmuImpl osztly segtsgvel)
 */
public class GepjarmuSrv
{
    public static void main(String args[]) {
  
        _gepjarmuRef gImpl = null; 
      
        try  { 
            gImpl = new _tie_gepjarmu (new GepjarmuImpl("ABC-987","Valaki"));
        }
        catch(SystemException se) { 
            System.out.println("Exception during creation of implementation : " +                                                                                                    se.toString()); 
            System.exit(1);
        }
        try  { 
            _CORBA.Orbix.impl_is_ready("GepjarmuSrv"); 
        } 
        catch(SystemException se) { 
            System.out.println("Exception during creation of implementation : " +                                                                                                    se.toString()); 
            System.exit(1);
        } 
    }
}
/*
 *  A gepjarmu osztly implementcija: 
 *  Az osztly szmra elort metdusokat a _gepjarmuOperations
 *  interfsz tartalmazza.  Ezeket kell most megvalstani.
 *  Az osztly rszei:
 *      Az osztly llapotai (rendszm, tulajdonos).
 *      Konstruktor.
 *      A public adatokhoz get_ metodusok
 *      Nincsenek set_ metodusok, mivel readonly attributumok voltak).
 *      Nincsen public metdus
 */
class GepjarmuImpl implements _gepjarmuOperations
{
   // Az osztly llapotai
   protected String rendszam;
   protected String tulajdonos;

   // Konstruktor
   public GepjarmuImpl(String r, String t) {
       rendszam   = r;
       tulajdonos = t;
   }
   // Az attribute rendszam kiolvas metdusa
   public String get_rendszam() {
       return rendszam;
   }
   // Az attribute ferohely kiolvas metdusa
   public String get_tulajdonos() {
       return tulajdonos;
   }     
   // A publikus print metdus
   public String print() {
       return "Altalanos gepjarmu, rendszam = "+rendszam+
              " tulajdonos = "+tulajdonos;
   }

}
