public class Kartya {

// OSZTLYSZINT ADATTAGOK
  private static final String[] szinek={"C", "D", "H", "S"};
  private static final String[] ertekek={"A", "2", "3", "4", "5", "6", "7", "8",
                                         "9", "10", "J", "Q", "K"};
  private static final Kartya[]
                       kartyak=new Kartya[szinek.length*ertekek.length];
  private static int kovetkezoKartya;

// OSZTLYSZINT METDUSOK
  public static void keveres() {
    int masikKartya;
    Kartya temp;

    for (int kartya=0; kartya<kartyak.length; kartya++) {
        masikKartya=(int)(Math.random()*kartyak.length)%kartyak.length;
        temp=kartyak[masikKartya];
        kartyak[masikKartya]=kartyak[kartya];
        kartyak[kartya]=temp;
    }
    kovetkezoKartya=0;
  }
  public static Kartya deal() {
    return kovetkezoKartya==kartyak.length ? null: kartyak[kovetkezoKartya++];
  }
// STATIKUS INICIALIZTOR
// Inicializlja a krtya csomagot
  static {
    int kartyaSzam=0;
    for (int kartyaSzin=0; kartyaSzin<szinek.length; kartyaSzin++)
        for (int kartyaErtek=0; kartyaErtek<ertekek.length; kartyaErtek++)
            kartyak[kartyaSzam++]=new Kartya(kartyaSzin, kartyaErtek);
    keveres();
  }
// EGYEDSZINT ADATTAGOK
// Adatmezk, melyek az aktulis krtya sznt s rtkt troljk
  private int ertek;
  private int szin;
// EGYEDSZINT METDUSOK
// Olyan metdusok, melyek egy adott krtya objektum sznt s rtkt
// adjk vissza sztringknt
  public String mekkoraErtek() {
    return ertekek[ertek];
  }
  public String miaSzine() {
    return szinek[szin];
  }
// metdus, mely megadja, hogy az aktulis krtya, vagy az argumentum krtynak
// nagyobb-e az rtke
  public boolean nagyobbErtek (Kartya masikKartya) {
    return ertek>masikKartya.ertek;
  }
// KONSTRUKTOR
  private Kartya(int ujErtek, int ujSzin) {
    ertek=ujErtek;
    szin=ujSzin;
  }
}
