interface Rendezheto {
   boolean kisebbMint(Rendezheto s) throws ErvenytelenTipusException;
}

class ErvenytelenTipusException extends Exception {
   public ErvenytelenTipusException(String s) {
      super(s);
   }
}
class Rendez {
   public static void rendez(Rendezheto[] elemek)
                      throws ErvenytelenTipusException {
      for(int i=0;i<elemek.length;++i)
         for(int j=i+1;j<elemek.length;++j)
             if( elemek[i].kisebbMint(elemek[j]) ) {
                 Rendezheto tmp=elemek[i];
                 elemek[i]=elemek[j];
                 elemek[j]=tmp;
             }
   }
}
class DatumRendez extends java.util.GregorianCalendar
                  implements Rendezheto {
   public DatumRendez(int y,int m,int d) {
      super(y,m,d);
   }
   public boolean kisebbMint(Rendezheto s) throws ErvenytelenTipusException {
      if( s instanceof DatumRendez ) {
         return this.before((DatumRendez)s);
      }
      else {
         throw new ErvenytelenTipusException(s.toString());
      }
   }
   public String toString() {
      return get(YEAR)+":"+get(MONTH)+":"+get(DAY_OF_MONTH);
   }
}
public class RendezesTeszt {
   public static void main(String args[]) {
      DatumRendez[] is=new DatumRendez[4];
      is[0]=new DatumRendez(74,3,30);
      is[1]=new DatumRendez(97,2,6);
      is[2]=new DatumRendez(96,11,24);
      is[3]=new DatumRendez(84,0,1);
      try {
         Rendez.rendez(is);
      }
      catch(ErvenytelenTipusException b) {
         System.out.println("Nem megfelel tpus a rendezshez: "+b);
      }
     for(int i=0;i<is.length;++i)
         System.out.println(is[i]); 
   }
}
