/*
 *    Teherauto.java
 *    @author  Zoltan Porkolab
 */
import java.io.*;

public class Teherauto extends Gepjarmu implements Persistent{
    public Teherauto(String r, String t, int s) {
        super( r, t );
        maxteher = s;
    }
    public void print() {
        System.out.println( "Teheraut, rendszm="+rendszam+
               " tulajdonos="+tulajdonos+" max.terhels="+maxteher);
    }
    private int maxteher;
/*
 *  A Persistent interfsz megvalstsa   
 */
    public Teherauto() {
        super( ismeretlen, ismeretlen);
        maxteher = 0;
    }
    public void write(PersistentOutput out) throws IOException {
        super.write(out);
        out.writeInt(maxteher);
    }
    public void read(PersistentInput in) throws IOException {
        super.read(in);
        maxteher = in.readInt();
    }
}
